Bug 1009967 - Review Request: golang-googlecode-net - Supplementary Go networking libraries
Review Request: golang-googlecode-net - Supplementary Go networking libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1000662
  Show dependency treegraph
 
Reported: 2013-09-19 11:34 EDT by Lokesh Mandvekar
Modified: 2015-02-23 11:10 EST (History)
4 users (show)

See Also:
Fixed In Version: golang-googlecode-net-0-0.20.git71586c3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-09-19 11:34:55 EDT
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-net.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-net-0-0.1.hg84a4013f96e0.fc21.src.rpm

Description: Supplementary Go networking libraries

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5956125

Note: There's some build trouble with the ipv6 subdirectory so I've commented them out in the spec file.

src/code.google.com/p/go.net/ipv6/control_rfc3542_linux.go:83: undefined: syscall.SizeofIPv6MTUInfo
src/code.google.com/p/go.net/ipv6/control_rfc3542_linux.go:112: undefined: syscall.SizeofIPv6MTUInfo
src/code.google.com/p/go.net/ipv6/control_rfc3542_linux.go:113: undefined: syscall.SizeofIPv6MTUInfo
src/code.google.com/p/go.net/ipv6/control_rfc3542_linux.go:142: undefined: syscall.IPv6MTUInfo
src/code.google.com/p/go.net/ipv6/icmp.go:30: defer requires function call, not conversion
src/code.google.com/p/go.net/ipv6/icmp.go:37: defer requires function call, not conversion
src/code.google.com/p/go.net/ipv6/icmp.go:44: defer requires function call, not conversion
src/code.google.com/p/go.net/ipv6/icmp_linux.go:10: undefined: syscall.ICMPv6Filter
src/code.google.com/p/go.net/ipv6/sockopt_rfc3542_linux.go:13: undefined: syscall.GetsockoptIPv6MTUInfo
src/code.google.com/p/go.net/ipv6/sockopt_rfc3542_linux.go:33: undefined: syscall.GetsockoptICMPv6Filter
src/code.google.com/p/go.net/ipv6/sockopt_rfc3542_linux.go:33: too many errors
error: Bad exit status from /var/tmp/rpm-tmp.HCV56J (%build)
Comment 1 Matthew Miller 2013-09-20 10:46:21 EDT
As discussed in IRC, the failure to build ipv6 is an upstream problem fixed in (unreleased) golang 1.2 -- see https://code.google.com/p/go/issues/detail?id=6164

We decided that we'll file a bug against this package tracking that and will update as soon as golang 1.2 is available.
Comment 2 Matthew Miller 2013-09-20 10:57:45 EDT
I know you're still working on this, but as it stands 

     /usr/lib64/golang/src/pkg/code.google.com/p/go.net/html/testdata/webkit/scripted
     /usr/lib64/golang/src/pkg/code.google.com/p/go.net/html/testdata/webkit
     /usr/lib64/golang/src/pkg/code.google.com/p/go.net/html/testdata
     /usr/lib64/golang/pkg/linux_amd64/code.google.com/p/go.net/html
     /usr/lib64/golang/src/pkg/code.google.com/p/go.net/html/atom

are unowned directories.

-------------------------------------------------------------------

Also, in the build loop it looks like you want to exclude all the dirs that match 'testdata', right? You can do that with


   "$dir" =~ "testdata" 

(or a more specific regular expression if you're worried that that is too broad.)

-------------------------------------------------------------------

Also, the webkit readme is stomping on the main README in the docs. I suggest renaming it to README-webkit (in the %prep section, I suppose).
Comment 6 Matthew Miller 2013-09-20 15:26:57 EDT
Review passed with the following caveat.

- This package matches in-development ideas for a Go Language packaging
  standard and may need to be revised as those are finalized.
  Of particular note:
  - this library is packaged as static, and therefore just produces a
    -devel package (and as with Haskell packages, does not have a
    virtual provides for a -static package).
  - no debuginfo package is generated (because of the above)
  - we don't have standard compile flags for Go
Comment 7 Lokesh Mandvekar 2013-09-20 15:37:15 EDT
ew Package SCM Request
=======================
Package Name: golang-googlecode-net
Short Description: Supplementary Go networking libraries
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-09-20 15:59:33 EDT
No SCM request detected, I think you're missing an N.
Comment 9 Lokesh Mandvekar 2013-09-20 16:03:17 EDT
New Package SCM Request
=======================
Package Name: golang-googlecode-net
Short Description: Supplementary Go networking libraries
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 10 Gwyn Ciesla 2013-09-20 16:05:36 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-09-20 17:21:22 EDT
golang-googlecode-net-0-0.6.hg84a4013f96e0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.6.hg84a4013f96e0.fc20
Comment 12 Fedora Update System 2013-09-20 21:18:55 EDT
golang-googlecode-net-0-0.6.hg84a4013f96e0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.6.hg84a4013f96e0.fc19
Comment 13 Fedora Update System 2013-09-21 15:40:39 EDT
golang-googlecode-net-0-0.6.hg84a4013f96e0.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2013-09-22 03:42:08 EDT
golang-googlecode-net-0-0.7.hg84a4013f96e0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.7.hg84a4013f96e0.fc20
Comment 15 Fedora Update System 2013-09-22 04:21:11 EDT
golang-googlecode-net-0-0.7.hg84a4013f96e0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.7.hg84a4013f96e0.fc19
Comment 16 Fedora Update System 2013-09-22 04:29:01 EDT
golang-googlecode-net-0-0.7.hg84a4013f96e0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.7.hg84a4013f96e0.el6
Comment 17 Fedora Update System 2013-10-07 19:21:59 EDT
golang-googlecode-net-0-0.8.hg84a4013f96e0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.8.hg84a4013f96e0.fc20
Comment 18 Fedora Update System 2013-10-07 19:27:40 EDT
golang-googlecode-net-0-0.8.hg84a4013f96e0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.8.hg84a4013f96e0.fc19
Comment 19 Fedora Update System 2013-10-07 19:39:07 EDT
golang-googlecode-net-0-0.8.hg84a4013f96e0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.8.hg84a4013f96e0.el6
Comment 20 Fedora Update System 2013-10-08 21:55:53 EDT
golang-googlecode-net-0-0.9.hg84a4013f96e0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.9.hg84a4013f96e0.fc20
Comment 21 Fedora Update System 2013-10-08 23:10:21 EDT
golang-googlecode-net-0-0.9.hg84a4013f96e0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.9.hg84a4013f96e0.fc19
Comment 22 Fedora Update System 2013-10-08 23:15:43 EDT
golang-googlecode-net-0-0.9.hg84a4013f96e0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.9.hg84a4013f96e0.el6
Comment 23 Fedora Update System 2013-10-17 00:43:13 EDT
golang-googlecode-net-0-0.10.hg84a4013f96e0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.10.hg84a4013f96e0.fc20
Comment 24 Fedora Update System 2013-10-17 00:52:20 EDT
golang-googlecode-net-0-0.10.hg84a4013f96e0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.10.hg84a4013f96e0.fc19
Comment 25 Fedora Update System 2013-10-17 01:02:23 EDT
golang-googlecode-net-0-0.10.hg84a4013f96e0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.10.hg84a4013f96e0.el6
Comment 26 Fedora Update System 2013-10-17 14:03:50 EDT
Package golang-googlecode-net-0-0.10.hg84a4013f96e0.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing golang-googlecode-net-0-0.10.hg84a4013f96e0.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11854/golang-googlecode-net-0-0.10.hg84a4013f96e0.el6
then log in and leave karma (feedback).
Comment 27 Peter Lemenkov 2013-10-23 07:10:29 EDT
Package Change Request
======================
Package Name: golang-googlecode-net
InitialCC: golang-sig
Comment 28 Gwyn Ciesla 2013-10-23 10:04:20 EDT
Done.
Comment 29 Fedora Update System 2013-10-28 23:38:02 EDT
golang-googlecode-net-0-0.10.hg84a4013f96e0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2013-11-01 17:07:14 EDT
golang-googlecode-net-0-0.10.hg84a4013f96e0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2013-11-10 02:34:46 EST
golang-googlecode-net-0-0.10.hg84a4013f96e0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2014-11-24 07:19:31 EST
golang-googlecode-net-0-0.17.hg90e232e2462d.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.17.hg90e232e2462d.fc20
Comment 33 Fedora Update System 2014-11-24 07:19:57 EST
golang-googlecode-net-0-0.17.hg90e232e2462d.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.17.hg90e232e2462d.fc21
Comment 34 Fedora Update System 2014-11-24 07:20:18 EST
golang-googlecode-net-0-0.17.hg90e232e2462d.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.17.hg90e232e2462d.el6
Comment 35 Fedora Update System 2014-12-04 01:22:30 EST
golang-googlecode-net-0-0.17.hg90e232e2462d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2014-12-06 05:53:19 EST
golang-googlecode-net-0-0.17.hg90e232e2462d.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2014-12-10 10:25:41 EST
golang-googlecode-net-0-0.18.hg937a34c9de13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.18.hg937a34c9de13.el6
Comment 38 Fedora Update System 2014-12-10 10:26:10 EST
golang-googlecode-net-0-0.18.hg937a34c9de13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.18.hg937a34c9de13.fc20
Comment 39 Fedora Update System 2014-12-10 10:26:36 EST
golang-googlecode-net-0-0.18.hg937a34c9de13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.18.hg937a34c9de13.fc21
Comment 40 Fedora Update System 2014-12-18 19:20:53 EST
golang-googlecode-net-0-0.19.hg937a34c9de13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.19.hg937a34c9de13.el6
Comment 41 Fedora Update System 2014-12-20 03:38:53 EST
golang-googlecode-net-0-0.18.hg937a34c9de13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 Fedora Update System 2014-12-20 03:42:23 EST
golang-googlecode-net-0-0.18.hg937a34c9de13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 43 Fedora Update System 2015-01-26 15:12:42 EST
golang-googlecode-net-0-0.19.hg937a34c9de13.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 44 Fedora Update System 2015-02-06 09:48:47 EST
golang-googlecode-net-0-0.19.git71586c3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.19.git71586c3.fc20
Comment 45 Fedora Update System 2015-02-06 09:49:13 EST
golang-googlecode-net-0-0.19.git71586c3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.19.git71586c3.fc21
Comment 46 Fedora Update System 2015-02-06 09:49:34 EST
golang-googlecode-net-0-0.20.git71586c3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-net-0-0.20.git71586c3.el6
Comment 47 Fedora Update System 2015-02-17 03:05:51 EST
golang-googlecode-net-0-0.19.git71586c3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 48 Fedora Update System 2015-02-17 03:07:38 EST
golang-googlecode-net-0-0.19.git71586c3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 49 Fedora Update System 2015-02-23 11:10:20 EST
golang-googlecode-net-0-0.20.git71586c3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.